Additional Resources
--------------------

### Articles and Blog Posts about YAML Forms

- [Getting NYU onto YAML Form](https://www.fourkitchens.com/blog/article/getting-nyu-yaml-form)

- [YAML Forms for Drupal 8](https://www.gaiaresources.com.au/yaml-forms-drupal-8/)


### YAML

- [The Official YAML Web Site](http://yaml.org)

- [Get Started - YAML Ain't Markup Language](http://www.yaml.org/start.html)

- [YAML - Wikipedia](https://en.wikipedia.org/wiki/YAML)


### Render Arrays

- [Render arrays](https://www.drupal.org/developing/api/8/render/arrays)


### Form API

- [Form API Reference](https://api.drupal.org/api/drupal/developer!topics!forms_api_reference.html/7.x)

### Form \#states API (Conditionals)

- [Form API \#states](https://www.lullabot.com/articles/form-api-states)

- [drupal_process_states](https://api.drupal.org/api/drupal/core%21includes%21common.inc/function/drupal_process_states)

- [Drupal 7 Form API: Using #states with multiple conditionals (AND, OR and XOR)](http://www.metaltoad.com/blog/drupal-7-form-api-using-states-multiple-conditionals-and-or-and-xor)

### Form Builders

Below are the YAML Form module's 'alternatives' and 'competitors'.
 
**Drupal Form Builders**

- [Comparison of Form Building Modules](https://www.drupal.org/node/2083353)

--- 

- [Webform.com](https://www.drupal.org/project/webform)  
   Webform.com is a form and survey service built on the open-source software Drupal and Webform. 
    - [Drupal 7 Form Building](https://www.drupalwatchdog.com/volume-3/issue-2/drupal-7-form-building)
- [Contact](https://www.drupal.org/documentation/modules/contact) 
    - [Contact Storage](https://www.drupal.org/project/contact_storage)
    - [Contact module 8.1 and beyond roadmap](https://www.drupal.org/node/2582955)
    - [Goodbye Webform? Contact Forms Are In the Drupal 8 Core](https://www.ostraining.com/blog/drupal/drupal-8-contact-forms/)
- [Eform](https://www.drupal.org/project/eform)
    - [When to use Entityform](https://www.drupal.org/node/1540680)
- [Webform](https://www.drupal.org/project/webform) 
        
        
**WordPress Form Builders**

- [8 Best WordPress Form Builder Plugins 2016 Reviewed (Free & Paid)](https://85ideas.com/plugins/best-wordpress-form-builder-plugins/)

- [5 Best Contact Form Plugins for WordPress Compared](www.wpbeginner.com/plugins/5-best-contact-form-plugins-for-wordpress-compared/)

---

- [Gravity Forms](http://www.gravityforms.com) - [Demo](http://demo.gravityforms.com/)   
  Gravity Forms is the easiest tool to create advanced forms for your WordPress powered website.

- [Ninja Forms](https://ninjaforms.com/) - [Demo](https://three.ninjaforms.com/)  
  Create forms and manage submissions easily with a simple drag and drop interface. 

- [Contact Form 7](http://contactform7.com)  
  Just another contact form plugin for WordPress. Simple but flexible.

**Other Form Builders**
 
- [The Best Online Survey Tools of 2016](http://www.pcmag.com/article2/0,2817,2494737,00.asp)

- [AlternativeTo WebForm](http://alternativeto.net/software/webform/)  
  Crowdsourced software recommendations

---

- [Form.IO](https://form.io/)  
  Form.io A Form and Data Management Platform for Serverless Enterprise 
  Applications Simplify the connections between your forms and APIs. 
  Integrate with 3rd party providers and legacy systems. 
  All while maintaining control of your data.

- [Cognito Forms](https://www.cognitoforms.com)  
  A free online form builder that helps you create HTML forms for your website. 
  Create contact forms, registration forms, order forms, surveys, and more.

- [FormSite](https://www.formsite.com)  
  Easily build professional online html forms and web surveys. 

- [JotForm](https://jotform.com/)   
  JotForm's form builder helps you create & publish online forms anywhere, 
  anytime without writing a single line of code.

- [Wufoo](https://www.wufoo.com)  
  Our form designer can help you create contact forms, online surveys and 
  invitations so you can collect the data, registrations and payments you need. 
 
- [Survey monkey](https://www.surveymonkey.com)     
  Create and publish online surveys in minutes, and view results graphically and in real time.
 
- [Google Forms](https://www.google.com/forms/about/)    
  Create a new survey on your own or with others at the same time. Choose from 
  a variety of beautiful, pre-made themes or create your own. Analyze your 
  results in Google Forms. Free from Google.
